package bank;
import java.text.DateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;

import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;
public class AccountReader {
  public static boolean checkPassword(AccountBean accountBean) {
    try {
      // prepare XML reader
      DocumentBuilder builder = DocumentBuilderFactory.newInstance().newDocumentBuilder();
      String path = "c:\\jsf\\bank\\" + accountBean.getAccountNumber() + ".xml";
      Element root = builder.parse(path).getDocumentElement();
      if (!root.getNodeName().equals("account")) {
        throw new Exception("root node of account file is not <account>");
      }
      String correctPassword = root.getAttribute("password");
      boolean result = correctPassword.equals(accountBean.getPassword());
      if (!result) {
        // pX[hȂ
        return false;
      }
      int balance = Integer.parseInt(root.getAttribute("balance"));
      accountBean.setBalance(balance);
      NodeList list = root.getChildNodes();
      List transactions = new ArrayList();
      DateFormat df = DateFormat.getDateInstance();
      for (int i = 0; i < list.getLength(); i++) {
        Node node = list.item(i);
       if ((node instanceof Element) &&
           (node.getNodeName().equals("transaction"))) {
         Element elm = (Element) node;
         // IuWFNg쐬B
         String name = elm.getAttribute("name");
         String dateStr = elm.getAttribute("date");
         Date date = df.parse(dateStr);
         int amount = Integer.parseInt(elm.getAttribute("amount"));
         String detail = elm.getAttribute("detail");
         transactions.add(new Transaction(name, date, amount, detail));
        }
      }
      accountBean.setTransactions(transactions);
    } catch (Exception e) {
      e.printStackTrace();
      return false;
    }
    return true;
  }
}
