package validator;

import javax.faces.application.FacesMessage;
import javax.faces.component.StateHolder;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.validator.Validator;
import javax.faces.validator.ValidatorException;

public class AccountValidator implements Validator, StateHolder {
  private int _length;

  public void validate(FacesContext context, UIComponent component, Object value)
      throws ValidatorException {

    String account = (String) value;
    if ((account == null) || (account.length() != _length)) {
      FacesMessage message = new FacesMessage("ԍ" + _length + "łȂ΂Ȃ܂");
      throw new ValidatorException(message);
    }
    for (int i = 0; i < account.length(); i++) {
      if (!Character.isDigit(account.charAt(i))) {
        FacesMessage message = new FacesMessage("ԍɐȊO܂܂Ă܂");
        context.addMessage(component.getClientId(context), message);
        context.renderResponse();
        return;
      }
    }
  }
  public void setLength(int length) {
    _length = length;
  }

  public Object saveState(FacesContext context) {
    return new Integer(_length);
  }
  public void restoreState(FacesContext context, Object state) {
    _length = ((Integer) state).intValue();
  }
  private boolean _transient;
  public boolean isTransient() {
    return _transient;
  }
  public void setTransient(boolean trans) {
    _transient = trans;
  }
}
