package validator;

import javax.faces.validator.Validator;
import javax.faces.webapp.ValidatorTag;
import javax.servlet.jsp.JspException;

public class AccountValidatorTag extends ValidatorTag {
  private int _length;
  public AccountValidatorTag() {
    super.setValidatorId("AccountValidator");
  }
  public void setLength(String length) {
    try {
      _length = Integer.parseInt(length);
    } catch (NumberFormatException e) {
      _length = 0;
    }
  }
  public String getLength() {
    return String.valueOf(_length);
  }
  protected Validator createValidator() throws JspException {
    AccountValidator validator = (AccountValidator) super.createValidator();
    validator.setLength(_length);
    return validator;
  }
}
