package dateselector;

import java.util.Calendar;
import java.util.Date;
import java.util.GregorianCalendar;

import javax.faces.component.UIInput;
import javax.faces.context.FacesContext;

public class DateSelector extends UIInput {
  private Date _date;
  
  public Date getDate() {
    return _date;
  }
  public void initDate(Date date) {
    if (_date == null) {
      _date = date;
    }
  }
  public void navigatePrevious() {
    Calendar cal = new GregorianCalendar();
    cal.setTime(_date);
    cal.add(Calendar.MONTH, -1);
    _date = cal.getTime();
  }
  public void navigateNext() {
    Calendar cal = new GregorianCalendar();
    cal.setTime(_date);
    cal.add(Calendar.MONTH, 1);
    _date = cal.getTime();
  }
  public Object saveState(FacesContext context) {
    Object values[] = new Object[2];
    values[0] = super.saveState(context);
    values[1] = _date;
    return values;
  }
  public void restoreState(FacesContext context, Object state) {
    Object values[] = (Object[]) state;
    super.restoreState(context, values[0]);
    _date = (Date) values[1];
  }
}
