package dateselector;

import javax.faces.application.Application;
import javax.faces.component.UIComponent;
import javax.faces.el.ValueBinding;
import javax.faces.webapp.UIComponentTag;

public class DateSelectorTag extends UIComponentTag {
  private String _value;
  private String _from;

  public void setValue(String value) {
    _value = value;
  }
  public void setFrom(String from) {
    _from = from;
  }

  public String getComponentType() {
    return "DateSelectorComponent";
  }
  public String getRendererType() {
    return "DateSelectorRenderer";
  }

  protected void setProperties(UIComponent component) {
    super.setProperties(component);
    
    Application application = getFacesContext().getApplication();
    if (_value != null) {
      if (isValueReference(_value)) {
        ValueBinding vb = application.createValueBinding(_value);
        component.setValueBinding("value", vb);
      } else {
        component.getAttributes().put("value", _value);
      }
    }

    if (_from != null) {
      if (isValueReference(_from)) {
        ValueBinding vb = application.createValueBinding(_from);
        component.setValueBinding("from", vb);
      } else {
        component.getAttributes().put("from", _from);
      }
    }
  }
}
